## l2tpns 2.0.22

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 LD = gcc
 INCLUDES = -I.
 CPPFLAGS = $(INCLUDES) $(DEFINES)
-CFLAGS = -Wall $(OPTIM)
+CFLAGS = -Wall -Wno-format-zero-length $(OPTIM)
 LDFLAGS =
 LDLIBS =
 INSTALL = install -c -D -o root -g root
