=== debian/changelog ===
l2tpns (2.2.1-2) unstable; urgency=low

  * Fix log buffer overrun, thanks to Dave Reeve (closes: #817837)
  * Add /lib/lsb/init-functions to init script.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 05 Jul 2016 10:48:12 +0100

l2tpns (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Enabled hardened build flags, thanks Moritz Muehlenhoff (closes: #657846)
  * Packaging updates
    * Move to 3.0 (quilt) source format
    * Bump DH compat level to 8
  * Acknowledge NMU (closes: #468889)
  * Fix ordering of stdio.h/syslog.h includes (closes: #707385)
  * Create accounting_dir in init script if necessary (closes: #418156)
  * Bump Standards-Version to 3.9.4.0
    * Add build-arch/build-indep targets to debian/rules

 -- Jonathan McDowell <noodles@earth.li>  Tue, 04 Jun 2013 20:23:37 -0700

l2tpns (2.1.21-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468889)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 01:58:55 +0200

l2tpns (2.1.21-1) unstable; urgency=high

  * New upstream release.
  * Fixes potential remote code execution; hence urgency=high

 -- Jonathan McDowell <noodles@earth.li>  Tue, 05 Dec 2006 16:52:54 +0000

l2tpns (2.1.19-1) unstable; urgency=low

  * New upstream release.
  * Add debian/watch file.
  * Bump Standards-Version to 3.7.2.0 (no changes).

 -- Jonathan McDowell <noodles@earth.li>  Sat, 22 Jul 2006 14:11:14 +0100

l2tpns (2.1.16-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 21 Mar 2006 10:43:11 +0000

l2tpns (2.1.15-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 20 Dec 2005 11:00:23 +0000

l2tpns (2.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 13 Nov 2005 17:49:49 +0000

l2tpns (2.1.8-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.6.2.0 (no changes).

 -- Jonathan McDowell <noodles@earth.li>  Tue, 27 Sep 2005 17:20:19 +0100

l2tpns (2.1.3-1) unstable; urgency=low

  * New upstream release.
 
 -- Jonathan McDowell <noodles@earth.li>  Wed, 24 Aug 2005 13:05:42 +0100

l2tpns (2.0.22-1) unstable; urgency=low

  * New upstream release; last of the 2.0 releases as I plan to upload
    2.1.1 once I've tested it in production myself.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 23 Jun 2005 13:41:57 +0100

l2tpns (2.0.14-1) unstable; urgency=low

  * New upstream release.
  * Tidy up spelling in Description.
  * Make lintian happy by lowering case of Layer 2.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 06 Jan 2005 14:22:33 +0000

l2tpns (2.0.8-1) unstable; urgency=low

  * Initial Debian upload. (closes: #280675)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Nov 2004 10:27:01 +0000
