=== debian/control ===
Source: l2tpns
Section: net
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>> 8), libcli-dev (>> 1.8.5)
Standards-Version: 3.9.4.0

Package: l2tpns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: layer 2 tunnelling protocol network server (LNS)
 l2tpns is a daemon designed to terminate large volumes of layer 2
 tunnelling protocol (RFC 2661: L2TP) sessions.
 .
 The daemon supports up to 65535 sessions plus features such as rate
 limiting, walled garden, usage accounting, and clustering (for both
 load-sharing and redundancy).
 .
 Note that only the LNS side of the L2TP protocol is implemented, for
 a more complete L2TP implementation see the l2tpd package.
