## l2tpns 2.3.1

=== Makefile ===
--- 
+++ 
@@ -18,15 +18,15 @@
 LD = gcc
 INCLUDES = -I.
 CPPFLAGS = $(INCLUDES) $(DEFINES)
-CFLAGS = -Wall -Wformat-security -Wno-format-zero-length $(OPTIM)
+CFLAGS = -Wall -Wformat-security $(OPTIM)
 LDFLAGS =
 LDLIBS =
 INSTALL = install -c -D -o root -g root
 
-l2tpns.LIBS = -lm -lcli -ldl
+l2tpns.LIBS = -lcli -ldl
 
 OBJS = arp.o cli.o cluster.o constants.o control.o icmp.o l2tpns.o \
-    ll.o md5.o ppp.o radius.o tbf.o util.o
+    ll.o md5.o ppp.o radius.o tbf.o util.o pppoe.o l2tplac.o dhcp6.o ipv6_u.o
 
 PROGRAMS = l2tpns nsctl
 PLUGINS = autosnoop.so autothrottle.so garden.so sessionctl.so \
@@ -108,26 +108,35 @@
 .PHONY: all clean depend install
 
 ## Dependencies: (autogenerated) ##
-arp.o: arp.c l2tpns.h
-cli.o: cli.c l2tpns.h constants.h util.h cluster.h tbf.h ll.h bgp.h
-cluster.o: cluster.c l2tpns.h cluster.h util.h tbf.h bgp.h
+arp.o: arp.c dhcp6.h l2tpns.h
+cli.o: cli.c dhcp6.h l2tpns.h constants.h util.h cluster.h tbf.h ll.h \
+ bgp.h l2tplac.h
+cluster.o: cluster.c dhcp6.h l2tpns.h cluster.h util.h tbf.h pppoe.h \
+ bgp.h
 constants.o: constants.c constants.h
-control.o: control.c l2tpns.h control.h
-icmp.o: icmp.c l2tpns.h
-l2tpns.o: l2tpns.c md5.h l2tpns.h cluster.h plugin.h ll.h constants.h \
-  control.h util.h tbf.h bgp.h
+control.o: control.c dhcp6.h l2tpns.h control.h
+icmp.o: icmp.c dhcp6.h l2tpns.h ipv6_u.h
+l2tpns.o: l2tpns.c md5.h dhcp6.h l2tpns.h cluster.h plugin.h ll.h \
+ constants.h control.h util.h tbf.h bgp.h l2tplac.h pppoe.h
 ll.o: ll.c ll.h
 md5.o: md5.c md5.h
-ppp.o: ppp.c l2tpns.h constants.h plugin.h util.h tbf.h cluster.h
-radius.o: radius.c md5.h constants.h l2tpns.h plugin.h util.h cluster.h
-tbf.o: tbf.c l2tpns.h util.h tbf.h
-util.o: util.c l2tpns.h bgp.h
-bgp.o: bgp.c l2tpns.h bgp.h util.h
-autosnoop.so: autosnoop.c l2tpns.h plugin.h
-autothrottle.so: autothrottle.c l2tpns.h plugin.h
-garden.so: garden.c l2tpns.h plugin.h control.h
-sessionctl.so: sessionctl.c l2tpns.h plugin.h control.h
-setrxspeed.so: setrxspeed.c l2tpns.h plugin.h
-snoopctl.so: snoopctl.c l2tpns.h plugin.h control.h
-stripdomain.so: stripdomain.c l2tpns.h plugin.h
-throttlectl.so: throttlectl.c l2tpns.h plugin.h control.h
+ppp.o: ppp.c dhcp6.h l2tpns.h constants.h plugin.h util.h tbf.h cluster.h \
+ l2tplac.h pppoe.h
+radius.o: radius.c md5.h constants.h dhcp6.h l2tpns.h plugin.h util.h \
+ cluster.h l2tplac.h pppoe.h
+tbf.o: tbf.c dhcp6.h l2tpns.h util.h tbf.h
+util.o: util.c dhcp6.h l2tpns.h bgp.h
+pppoe.o: pppoe.c dhcp6.h l2tpns.h cluster.h constants.h md5.h util.h
+l2tplac.o: l2tplac.c md5.h dhcp6.h l2tpns.h util.h cluster.h l2tplac.h \
+ pppoe.h
+dhcp6.o: dhcp6.c dhcp6.h l2tpns.h ipv6_u.h
+ipv6_u.o: ipv6_u.c ipv6_u.h
+bgp.o: bgp.c dhcp6.h l2tpns.h bgp.h util.h
+autosnoop.so: autosnoop.c dhcp6.h l2tpns.h plugin.h
+autothrottle.so: autothrottle.c dhcp6.h l2tpns.h plugin.h
+garden.so: garden.c dhcp6.h l2tpns.h plugin.h control.h
+sessionctl.so: sessionctl.c dhcp6.h l2tpns.h plugin.h control.h
+setrxspeed.so: setrxspeed.c dhcp6.h l2tpns.h plugin.h
+snoopctl.so: snoopctl.c dhcp6.h l2tpns.h plugin.h control.h
+stripdomain.so: stripdomain.c dhcp6.h l2tpns.h plugin.h
+throttlectl.so: throttlectl.c dhcp6.h l2tpns.h plugin.h control.h
