=== debian/changelog ===
l2tpns (2.3.1-1) unstable; urgency=medium

  [ Julien Rabier ]
  * New upstream version 2.3.1
  * d/init.d:
    + Cleanup usage of detach flag (should not be used with SystemD)
    + Fix SystemV, SIGQUIT signal sends to l2tpns causes to flush all
      sessions even in cluster mode. A normal SIGTERM should be used.
  * d/service: Use upstream SystemD unit file

  [ Samuel Thibault ]
  * copyright: Use https URL for Format.
  * control:
    + Bump Standards-Version to 4.5.1.
    + Add Vcs-* fields.
    + Bump debhelper compat to 12.
  * dirs: Drop unused /usr/bin directory.
  * postinst postrm prerm: Remove trivial maintainer scripts.

  [ Sebastien Badia ]
  * init.d:
    + Move l2tpns args to a default file
    + Added a SystemD unit file
    + Rename init.d file and add missing Description
  * d/copyright:
    + Fix lintian info (unused-license-paragraph)
    + Update Copyright years and authors
    + Update upstream contact/source
  * d/patches:
    + Refresh and add missing DEP-3 headers
    + Refresh patches (remove applied upstream)
  * d/upstream: Added metadata
  * d/rules: Cleanup rules file
  * d/logrotate: Install logrotate file witch dh
  * d/control:
    + Added Julien and Fernando as Uploaders
    + Bump debhelper compat to 13
    + Added Rules-Requires-Root
    + Added missing Pre-Depends
    + Added myself as Uploaders
  * d/watch: Update watch file (according new upstream)

 -- Sebastien Badia <sbadia@debian.org>  Wed, 09 Dec 2020 18:27:45 +0100
