=== debian/control ===
--- 
+++ 
@@ -2,12 +2,19 @@
 Section: net
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 8), libcli-dev (>> 1.8.5)
-Standards-Version: 3.9.4.0
+Uploaders: Sebastien Badia <sbadia@debian.org>,
+           Julien Rabier <jrabier@ilico.org>,
+           Fernando Alves <fendo@sameswifi.fr>
+Build-Depends: debhelper-compat (= 13), libcli-dev (>> 1.8.5)
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/l2tpns
+Vcs-Git: https://salsa.debian.org/debian/l2tpns.git
+Rules-Requires-Root: no
 
 Package: l2tpns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: layer 2 tunnelling protocol network server (LNS)
  l2tpns is a daemon designed to terminate large volumes of layer 2
  tunnelling protocol (RFC 2661: L2TP) sessions.
