## l2tpns 2.3.3

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 OPTIM += -O3
 
 CC = gcc
-LD = gcc
+LD = $(CC)
 INCLUDES = -I.
 CPPFLAGS = $(INCLUDES) $(DEFINES)
 CFLAGS = -Wall -Wformat-security $(OPTIM)
@@ -52,8 +52,8 @@
 
 depend:
 	(sed -n 'p; /^## Dependencies: (autogenerated) ##/q' Makefile && \
-	    gcc -MM $(CPPFLAGS) $(OBJS:.o=.c) && \
-	    gcc -MM $(CPPFLAGS) $(PLUGINS:.so=.c) | sed 's/\.o/.so/') >Makefile.tmp
+	    $(CC) -MM $(CPPFLAGS) $(OBJS:.o=.c) && \
+	    $(CC) -MM $(CPPFLAGS) $(PLUGINS:.so=.c) | sed 's/\.o/.so/') >Makefile.tmp
 	mv Makefile Makefile.bak
 	mv Makefile.tmp Makefile
 
@@ -73,9 +73,9 @@
 	$(INSTALL) -m 0755 l2tpns $(DESTDIR)$(bindir)/l2tpns
 	$(INSTALL) -m 0755 nsctl $(DESTDIR)$(bindir)/nsctl
 
-	$(INSTALL) -m 0644 Docs/startup-config.5 $(DESTDIR)$(man5dir)/startup-config.5
-	$(INSTALL) -m 0644 Docs/l2tpns.8 $(DESTDIR)$(man8dir)/l2tpns.8
-	$(INSTALL) -m 0644 Docs/nsctl.8 $(DESTDIR)$(man8dir)/nsctl.8
+	$(INSTALL) -m 0644 docs/manpages/startup-config.5 $(DESTDIR)$(man5dir)/startup-config.5
+	$(INSTALL) -m 0644 docs/manpages/l2tpns.8 $(DESTDIR)$(man8dir)/l2tpns.8
+	$(INSTALL) -m 0644 docs/manpages/nsctl.8 $(DESTDIR)$(man8dir)/nsctl.8
 
 	gzip --best --force $(DESTDIR)$(man5dir)/*.5 $(DESTDIR)$(man8dir)/*.8
