=== debian/changelog ===
l2tpns (2.3.3-2) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/gbp: Added configuration
  * d/patches: Update DEP-3 headers

  [ Julien Rabier ]
  * Update Uploader's e-mail address
  * Backport patch to systemd unit from upstream

 -- Sebastien Badia <sbadia@debian.org>  Mon, 08 Mar 2021 23:32:16 +0100

l2tpns (2.3.3-1) unstable; urgency=medium

  [ Julien Rabier ]
  * fix hardening patch following changes upstream in 2.3.2

  [ Sebastien Badia ]
  * New upstream version 2.3.3

 -- Sebastien Badia <sbadia@debian.org>  Sat, 06 Feb 2021 01:11:00 +0100

l2tpns (2.3.1-2) unstable; urgency=medium

  * d/control: Update maintainer (team), many thanks Jonathan

 -- Sebastien Badia <sbadia@debian.org>  Tue, 15 Dec 2020 10:26:43 +0100
