=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: l2tpns
 Section: net
 Priority: optional
-Maintainer: Jonathan McDowell <noodles@earth.li>
+Maintainer: Debian l2tpns Packaging Team <team+debian-l2tpns@tracker.debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>,
-           Julien Rabier <jrabier@ilico.org>,
+           Julien Rabier <julien@ilico.org>,
            Fernando Alves <fendo@sameswifi.fr>
 Build-Depends: debhelper-compat (= 13), libcli-dev (>> 1.8.5)
 Standards-Version: 4.5.1
