## l2tpns 2.4.1

=== debian/changelog ===
l2tpns (2.4.1-5) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Oct 2025 22:18:44 +0200

l2tpns (2.4.1-4) experimental; urgency=low

  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.
  * control: Make linux-any.
  * patches/git-slow-radius: Try to fix IP pool exhaustion due to slow RADIUS
    server.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Jul 2025 00:10:52 +0000

l2tpns (2.4.1-3) unstable; urgency=medium

  * patches/needrestart: Add needrestart file.
  * rules: Do not stop on upgrade, so the administrator can restart at will.
  * patches/tmpfiles,tmpfiles.legacy: Make sure that the acct directory exists
    on bootup.
  * watch: Use api to get tags.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:17:12 +0200

l2tpns (2.4.1-2) unstable; urgency=medium

  * l2tpns.init.d: Depend on $network to make sure it's finished initializing
    before watching for master heartbeats.
  * control: Add myself as uploader.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Dec 2023 15:21:07 +0100

l2tpns (2.4.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream version 2.4.1
  * d/patches/01-harden-compile.patch: Pass -shared last to avoid conflicting
    with -fpie.
  * Enable diffoscope in reprotest CI
  * control: Make Multi-Arch: foreign.

  [ Sebastien Badia ]
  * New upstream version 2.4.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:20:42 +0200
