=== debian/watch ===
version=4
opts="pagemangle=s!"name":"(v?@ANY_VERSION@)"!<a href="https://code.ffdn.org/@PACKAGE@/@PACKAGE@/-/archive/$1/@PACKAGE@-$1.tar.bz2">!g" \
https://code.ffdn.org/api/v4/projects/@PACKAGE@%2F@PACKAGE@/repository/tags \
https://code.ffdn.org/@PACKAGE@/@PACKAGE@/.*/@PACKAGE@-v?@ANY_VERSION@@ARCHIVE_EXT@
