## l2tpns 2.5.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 DESTDIR =
 bindir = /usr/sbin
 etcdir = /etc/l2tpns
+needrestartdir = /etc/needrestart/conf.d
 libdir = /usr/lib/l2tpns
 man5dir = /usr/share/man/man5
 man8dir = /usr/share/man/man8
@@ -43,12 +44,17 @@
 DEFINES += -DBGP
 OBJS += bgp.o
 
-all: programs plugins
+GIT_VERSION=$(shell git describe --abbrev=0)
+
+all: programs plugins doc
 programs: $(PROGRAMS)
 plugins: $(PLUGINS)
+doc:
+	$(MAKE) -C docs
 
 clean:
 	rm -f *.o test/*.o $(PROGRAMS) $(PLUGINS) Makefile.tmp Makefile.bak
+	$(MAKE) -C docs clean
 
 depend:
 	(sed -n 'p; /^## Dependencies: (autogenerated) ##/q' Makefile && \
@@ -77,6 +83,9 @@
 	$(INSTALL) -m 0644 docs/manpages/l2tpns.8 $(DESTDIR)$(man8dir)/l2tpns.8
 	$(INSTALL) -m 0644 docs/manpages/nsctl.8 $(DESTDIR)$(man8dir)/nsctl.8
 
+	$(INSTALL) -d $(DESTDIR)$(needrestartdir)
+	$(INSTALL) -m 0644 needrestart.conf $(DESTDIR)$(needrestartdir)/l2tpns.conf
+
 	gzip --best --force $(DESTDIR)$(man5dir)/*.5 $(DESTDIR)$(man8dir)/*.8
 
 	@for config in startup-config users ip_pool; \
@@ -104,6 +113,9 @@
 		echo mknod /dev/net/tun c 10 200; \
 		mknod /dev/net/tun c 10 200; \
 	fi
+
+dist:
+	git archive -o ../l2tpns-$(GIT_VERSION).tgz --prefix l2tpns-$(GIT_VERSION)/ HEAD
 
 .PHONY: all clean depend install
