=== debian/changelog ===
l2tpns (2.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1116009)
  * watch: Leverage version 5.
  * patches/git-slow-radius: Upstreamed.
  * patches/needrestart: Upstreamed.
  * patches/tmpfiles: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Nov 2025 01:32:40 +0100
