=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian l2tpns Packaging Team <team+debian-l2tpns@tracker.debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>,
            Julien Rabier <julien@ilico.org>,
-           Fernando Alves <fendo@sameswifi.fr>
-Build-Depends: debhelper-compat (= 13), libcli-dev (>> 1.8.5)
-Standards-Version: 4.5.1
+           Fernando Alves <fendo@sameswifi.fr>,
+           Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper-compat (= 13), libcli-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/l2tpns
 Vcs-Git: https://salsa.debian.org/debian/l2tpns.git
 Rules-Requires-Root: no
 
 Package: l2tpns
-Architecture: any
+Architecture: linux-any
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: layer 2 tunnelling protocol network server (LNS)
