=== debian/watch ===
Version: 5

Source: https://code.ffdn.org/l2tpns/l2tpns
Mode: gitlab
Matching-Pattern: @ANY_VERSION@
